%global momorel 2
%global md5sum_src0 3ad1203b403acb40af7c63968f4d4278

Summary: DVD authoring tool
Name: dvdstyler
Version: 1.5
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.dvdstyler.de/
%NoSource 0 http://dl.sourceforge.net/sourceforge/dvdstyler/DVDStyler-%{version}.tar.gz %{md5sum_src0}
Patch0: dvdstyler-1.5b7-install-desktop-file.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: dvdauthor
Requires: mjpegtools
Requires: netpbm-progs
Requires: mpgtx
Requires: genisoimage
Requires: dvd+rw-tools
BuildRequires: wxGTK-devel
BuildRequires: wxsvg-devel
BuildRequires: libgnomeui-devel
BuildRequires: gettext
BuildRequires: dvdauthor
BuildRequires: mjpegtools
BuildRequires: netpbm-progs
BuildRequires: mpgtx
BuildRequires: genisoimage
BuildRequires: dvd+rw-tools
BuildRequires: libjpeg-devel

%description
DVDStyler is a DVD authoring System.

%prep
%setup -q -n DVDStyler-%{version}
%patch0 -p1

%build
%configure
%make

%install
%{__rm} -rf %{buildroot} _doc
mkdir -p %{buildroot}%{_datadir}/gnome/apps/Multimedia
%{__make} install DESTDIR=%{buildroot}
pushd install.win32
%{__make} install-kde install-gnome DESTDIR=%{buildroot}
popd
%find_lang %{name}
# Put docs back where we'll include them nicely
%{__mv} %{buildroot}%{_datadir}/doc/dvdstyler _doc

mkdir -p %{buildroot}%{_datadir}/applications
%{__mv} %{buildroot}%{_datadir}/applnk/Multimedia/dvdstyler.desktop %{buildroot}%{_datadir}/applications
%{__rm} -f %{buildroot}%{_datadir}/gnome/apps/Multimedia/dvdstyler.desktop


%clean
%{__rm} -rf %{buildroot}


%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc _doc/*
%{_bindir}/dvdstyler
%{_datadir}/%{name}
%{_datadir}/icons/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop

%changelog
* Fri Jun  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5-2m)
- good-bye cdrtools and welcome cdrkit

* Thu Jun  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5-1m)
- update to 1.5 official release
- change source URI

* Sat Apr 14 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5-0.7.3m)
- add Patch0: dvdstyler-1.5b7-install-desktop-file.patch

* Sat Apr 14 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5-0.7.2m)
- move dvdstyler.desktop location

* Mon Apr 09 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.5-0.7.1m)
- import from freshrpms.net

* Fri Jan 19 2007 Matthias Saou <http://freshrpms.net/> 1.5-0.1.b7
- Initial RPM release.

